/*!
  \file stdincl.h
  \brief This file includes default headers that nearly every Class needs.
  
  no Class is defined here, but many headers to classes, and more general Headers like the openGL-header.
*/

#ifndef STDINCL_H
#define STDINCL_H

#define null 0   //!< null

#ifdef __WIN32__
#include <windows.h>
#endif

#ifndef __APPLE__
#include <SDL/SDL.h>
#include <GL/gl.h>
#include <GL/glu.h>
#else
#include <SDL.h>
#include <OpenGL/gl.h>
#include <OpenGL/glu.h>
#endif

#include "vector.h"
#include "coordinates.h"
#include "list.h"
#include "list_template.h"
#include "error.h"
#include "message_structures.h"
#include "orxonox.h"

#endif
